Package com.independentsoft.graph.teams

# Class ChatMessagePropertyName

java.lang.Object
com.independentsoft.graph.teams.ChatMessagePropertyName

public class ChatMessagePropertyName extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static String`
  `ATTACHMENTS`
  `static String`
  `BODY`
  `static String`
  `CHANNEL_IDENTITY`
  `static String`
  `CHAT_ID`
  `static String`
  `CREATED_TIME`
  `static String`
  `DELETED_TIME`
  `static String`
  `ETAG`
  `static String`
  `FROM`
  `static String`
  `HOSTED_CONTENTS`
  `static String`
  `ID`
  `static String`
  `IMPORTANCE`
  `static String`
  `LAST_EDITED_TIME`
  `static String`
  `LAST_MODIFIED_TIME`
  `static String`
  `LOCALE`
  `static String`
  `MENTIONS`
  `static String`
  `MESSAGE_TYPE`
  `static String`
  `POLICY_VIOLATION`
  `static String`
  `REACTIONS`
  `static String`
  `REPLY_TO_ID`
  `static String`
  `SUBJECT`
  `static String`
  `SUMMARY`
  `static String`
  `WEB_URL`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### ID

    public static final String ID
    See Also:
      Constant Field Values

  - ### REPLY_TO_ID

    public static final String REPLY_TO_ID
    See Also:
      Constant Field Values

  - ### FROM

    public static final String FROM
    See Also:
      Constant Field Values

  - ### ETAG

    public static final String ETAG
    See Also:
      Constant Field Values

  - ### MESSAGE_TYPE

    public static final String MESSAGE_TYPE
    See Also:
      Constant Field Values

  - ### CREATED_TIME

    public static final String CREATED_TIME
    See Also:
      Constant Field Values

  - ### LAST_MODIFIED_TIME

    public static final String LAST_MODIFIED_TIME
    See Also:
      Constant Field Values

  - ### LAST_EDITED_TIME

    public static final String LAST_EDITED_TIME
    See Also:
      Constant Field Values

  - ### DELETED_TIME

    public static final String DELETED_TIME
    See Also:
      Constant Field Values

  - ### SUBJECT

    public static final String SUBJECT
    See Also:
      Constant Field Values

  - ### BODY

    public static final String BODY
    See Also:
      Constant Field Values

  - ### SUMMARY

    public static final String SUMMARY
    See Also:
      Constant Field Values

  - ### ATTACHMENTS

    public static final String ATTACHMENTS
    See Also:
      Constant Field Values

  - ### IMPORTANCE

    public static final String IMPORTANCE
    See Also:
      Constant Field Values

  - ### LOCALE

    public static final String LOCALE
    See Also:
      Constant Field Values

  - ### CHAT_ID

    public static final String CHAT_ID
    See Also:
      Constant Field Values

  - ### CHANNEL_IDENTITY

    public static final String CHANNEL_IDENTITY
    See Also:
      Constant Field Values

  - ### WEB_URL

    public static final String WEB_URL
    See Also:
      Constant Field Values

  - ### MENTIONS

    public static final String MENTIONS
    See Also:
      Constant Field Values

  - ### REACTIONS

    public static final String REACTIONS
    See Also:
      Constant Field Values

  - ### HOSTED_CONTENTS

    public static final String HOSTED_CONTENTS
    See Also:
      Constant Field Values

  - ### POLICY_VIOLATION

    public static final String POLICY_VIOLATION
    See Also:
      Constant Field Values